Page MenuHomePhabricator

Notice: Undefined variable: namespaces in /srv/mediawiki/php-1.27.0-wmf.23/includes/search/SearchEngineConfig.php on line 109
Closed, ResolvedPublic

Description

Since 1.27.0-wmf.23 there are logs such as:

Notice: Undefined variable: namespaces in /srv/mediawiki/php-1.27.0-wmf.23/includes/search/SearchEngineConfig.php on line 109

Event Timeline

hashar created this task.May 3 2016, 7:16 PM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMay 3 2016, 7:16 PM
Restricted Application added subscribers: Zppix, JEumerus, Matanya, Aklapper. · View Herald Transcript

Change 286714 had a related patch set uploaded (by DCausse):
Fix Undefined variable: namespaces in includes/search/SearchEngineConfig.php on line 109

https://gerrit.wikimedia.org/r/286714

Deskana assigned this task to dcausse.May 3 2016, 7:47 PM
Deskana triaged this task as Medium priority.
Deskana moved this task from In Progress to Needs review on the Discovery-Search (Current work) board.

Change 286714 merged by jenkins-bot:
Fix Undefined variable: namespaces in includes/search/SearchEngineConfig.php on line 109

https://gerrit.wikimedia.org/r/286714

Change 286720 had a related patch set uploaded (by DCausse):
Fix Undefined variable: namespaces in includes/search/SearchEngineConfig.php on line 109

https://gerrit.wikimedia.org/r/286720

Change 286720 merged by jenkins-bot:
Fix Undefined variable: namespaces in includes/search/SearchEngineConfig.php on line 109

https://gerrit.wikimedia.org/r/286720

Mentioned in SAL [2016-05-03T21:45:43Z] <ebernhardson@tin> Synchronized php-1.27.0-wmf.23/includes/search/SearchEngine.php: T134305 Fix invalid namespace handling in wmf.23 (duration: 00m 38s)

hashar added a comment.May 4 2016, 9:36 AM

It is gone. The last error in the log is from 2016-05-03T21:44:55.000Z. Thank you!

Deskana closed this task as Resolved.May 4 2016, 4:15 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM